<?php
defined('BASEPATH') or exit('No direct script access allowed');

class Kalori extends REST_Controller
{

    public function kalori_get()
{
    $umur = $this->get("umur");
    $jekel = $this->get("jekel");

    if (!$umur || !$jekel) {
        $response = array(
            'status' => 400,
            'message' => "Bad Request. Umur dan jenis kelamin harus diisi."
        );
    } else {
        if ($umur >= 80) {
            // Anda dapat menangani kasus umur 80 tahun ke atas disini
            // Misalnya, mengambil data dengan awal: 81 dan akhir: NULL
            $this->db->where('awal <=', $umur);
            $this->db->where('akhir IS NULL'); // Menggunakan "IS NULL"
        } else {
            // Umur di bawah 80 tahun, gunakan range umur biasa
            $this->db->where('awal <=', $umur);
            $this->db->where('akhir >=', $umur);
        }
        $this->db->where('jenis_kelamin', $jekel); // Tambahkan kondisi jenis kelamin
        $query_kecukupan = $this->db->get('kalori');

        if ($query_kecukupan->num_rows() > 0) {
            $result_kecukupan = $query_kecukupan->row();
            $total = $result_kecukupan->energi;

            // Anda dapat menggunakan $total sesuai kebutuhan di sini

            $response = array(
                'status' => 200,
                'message' => "OK",
                'data' => array('total' => $total)
            );
        } else {
            $response = array(
                'status' => 404,
                'message' => "Data tidak ditemukan untuk umur $umur dan jenis kelamin $jekel."
            );
        }
    }

    $this->response($response);
}



}